Package com.independentsoft.office.spreadsheet.externalLinks

# Class OleItem

java.lang.Object
com.independentsoft.office.spreadsheet.externalLinks.OleItem

public class OleItem extends Object
The Class OleItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OleItem()`
  Instantiates a new ole item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OleItem`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `DdeValues`
  `getValues()`
  Gets the values.
  `boolean`
  `isAdvise()`
  Checks if is advise.
  `boolean`
  `isImage()`
  Checks if is image.
  `boolean`
  `isOle()`
  Checks if is ole.
  `void`
  `setAdvise​(boolean advise)`
  Sets the advise.
  `void`
  `setImage​(boolean isImage)`
  Sets the image.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOle​(boolean ole)`
  Sets the ole.
  `void`
  `setValues​(DdeValues values)`
  Sets the values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OleItem

    public OleItem()
    Instantiates a new ole item.

- ## Method Details

  - ### clone

    public OleItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValues

    public DdeValues getValues()
    Gets the values.
    Returns:
      the values

  - ### setValues

    public void setValues​(DdeValues values)
    Sets the values.
    Parameters:
      `values` - the new values

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isAdvise

    public boolean isAdvise()
    Checks if is advise.
    Returns:
      true, if is advise

  - ### setAdvise

    public void setAdvise​(boolean advise)
    Sets the advise.
    Parameters:
      `advise` - the new advise

  - ### isOle

    public boolean isOle()
    Checks if is ole.
    Returns:
      true, if is ole

  - ### setOle

    public void setOle​(boolean ole)
    Sets the ole.
    Parameters:
      `ole` - the new ole

  - ### isImage

    public boolean isImage()
    Checks if is image.
    Returns:
      true, if is image

  - ### setImage

    public void setImage​(boolean isImage)
    Sets the image.
    Parameters:
      `isImage` - the new image